<?php
/* Mantenimiento de los registros de la tabla GSS_Banco redefinidos por el usaurio */
class GSS_BancoDP extends BaseGSS_BancoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdBanco ) IS NULL, 1, MAX( IdBanco ) + 1 ) i_Id  FROM GSS_Banco ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>